<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilitiesDelegate/test/Common/TestableMiscStorage.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_924a657fe36215a0159270de1b610651.html">CapabilitiesDelegate</a></li><li class="navelem"><a class="el" href="dir_28647357adb2301cd82a75786fa679b0.html">test</a></li><li class="navelem"><a class="el" href="dir_c927bc092838eb64bdabb961a4b64f06.html">Common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TestableMiscStorage.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_testable_misc_storage_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITIESDELEGATE_TEST_COMMON_TESTABLEMISCSTORAGE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITIESDELEGATE_TEST_COMMON_TESTABLEMISCSTORAGE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;unordered_map&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_misc_storage_interface_8h.html">AVSCommon/SDKInterfaces/Storage/MiscStorageInterface.h</a>&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>capabilitiesDelegate {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html">TestMiscStorage</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html">avsCommon::sdkInterfaces::storage::MiscStorageInterface</a> {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a89e237776d919c5a504919307505c225">TestMiscStorage</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a96452bd8672f02a01b38a4160526705e">createDatabase</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a2cf28424422cfb0fe308a9d59618d267">open</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a6aa0c157a8c6caaac288b1bcca5637d9">isOpened</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a4b7c2ba13db7dc5edf668813c7942ae7">close</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a93f3a14f0430c2ffd2c5e8e9afd50bab">createTable</a>(</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="keyword">const</span> std::string&amp; componentName,</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <span class="keyword">const</span> std::string&amp; tableName,</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eea">KeyType</a> keyType,</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ab18544389e7b78a72b7a073d52410990">ValueType</a> valueType) <span class="keyword">override</span>;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a1a138d6576479935f9e64df39172b7ab">clearTable</a>(<span class="keyword">const</span> std::string&amp; componentName, <span class="keyword">const</span> std::string&amp; tableName) <span class="keyword">override</span>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a40b766cbdbaa2788097c303f744e160e">deleteTable</a>(<span class="keyword">const</span> std::string&amp; componentName, <span class="keyword">const</span> std::string&amp; tableName) <span class="keyword">override</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a72e912cc77ecd12754b6a7d06676770f">add</a>(</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="keyword">const</span> std::string&amp; componentName,</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="keyword">const</span> std::string&amp; tableName,</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <span class="keyword">const</span> std::string&amp; key,</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        <span class="keyword">const</span> std::string&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a9c650c0a77a7a236295fa5ff18af5842">update</a>(</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keyword">const</span> std::string&amp; componentName,</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keyword">const</span> std::string&amp; tableName,</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keyword">const</span> std::string&amp; key,</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keyword">const</span> std::string&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#aded9cddecd7b4eb57e999c7ad6972c88">put</a>(</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keyword">const</span> std::string&amp; componentName,</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keyword">const</span> std::string&amp; tableName,</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keyword">const</span> std::string&amp; key,</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keyword">const</span> std::string&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordtype">bool</span> <span class="keyword">remove</span>(<span class="keyword">const</span> std::string&amp; componentName, <span class="keyword">const</span> std::string&amp; tableName, <span class="keyword">const</span> std::string&amp; key) <span class="keyword">override</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a6b4c6c1de403ea3ec34c63a9d449a1b5">tableEntryExists</a>(</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keyword">const</span> std::string&amp; componentName,</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        <span class="keyword">const</span> std::string&amp; tableName,</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        <span class="keyword">const</span> std::string&amp; key,</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <span class="keywordtype">bool</span>* tableEntryExistsValue) <span class="keyword">override</span>;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a1cf0491b8f001bb782db4b2350d03cb9">tableExists</a>(<span class="keyword">const</span> std::string&amp; componentName, <span class="keyword">const</span> std::string&amp; tableName, <span class="keywordtype">bool</span>* tableExistsValue) <span class="keyword">override</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a89d2744b6f4c51eb190889723f016c93">load</a>(</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <span class="keyword">const</span> std::string&amp; componentName,</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="keyword">const</span> std::string&amp; tableName,</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        std::unordered_map&lt;std::string, std::string&gt;* valueContainer) <span class="keyword">override</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a419bac9127d161ac5ef5bf8739ecb944">get</a>(<span class="keyword">const</span> std::string&amp; componentName, <span class="keyword">const</span> std::string&amp; tableName, <span class="keyword">const</span> std::string&amp; key, std::string* value)</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <span class="keyword">override</span>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#abd2c932e061afe4cd8bc80931536ca55">dataExists</a>(<span class="keyword">const</span> std::string&amp; componentName, <span class="keyword">const</span> std::string&amp; tableName);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    std::unordered_map&lt;std::string, std::string&gt; m_miscDB_stringKeyValue;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;};</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;}  <span class="comment">// namespace capabilitiesDelegate</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* ALEXA_CLIENT_SDK_CAPABILITIESDELEGATE_TEST_COMMON_TESTABLEMISCSTORAGE_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface_html_ab18544389e7b78a72b7a073d52410990"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#ab18544389e7b78a72b7a073d52410990">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface::ValueType</a></div><div class="ttdeci">ValueType</div><div class="ttdoc">The type of the value column in Misc DB. </div><div class="ttdef"><b>Definition:</b> MiscStorageInterface.h:44</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a40b766cbdbaa2788097c303f744e160e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a40b766cbdbaa2788097c303f744e160e">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::deleteTable</a></div><div class="ttdeci">bool deleteTable(const std::string &amp;componentName, const std::string &amp;tableName) override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:65</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_abd2c932e061afe4cd8bc80931536ca55"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#abd2c932e061afe4cd8bc80931536ca55">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::dataExists</a></div><div class="ttdeci">bool dataExists(const std::string &amp;componentName, const std::string &amp;tableName)</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:179</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a1a138d6576479935f9e64df39172b7ab"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a1a138d6576479935f9e64df39172b7ab">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::clearTable</a></div><div class="ttdeci">bool clearTable(const std::string &amp;componentName, const std::string &amp;tableName) override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:69</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_aded9cddecd7b4eb57e999c7ad6972c88"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#aded9cddecd7b4eb57e999c7ad6972c88">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::put</a></div><div class="ttdeci">bool put(const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key, const std::string &amp;value) override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:101</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a89e237776d919c5a504919307505c225"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a89e237776d919c5a504919307505c225">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::TestMiscStorage</a></div><div class="ttdeci">TestMiscStorage()=default</div></div>
<div class="ttc" id="_misc_storage_interface_8h_html"><div class="ttname"><a href="_misc_storage_interface_8h.html">MiscStorageInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a1cf0491b8f001bb782db4b2350d03cb9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a1cf0491b8f001bb782db4b2350d03cb9">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::tableExists</a></div><div class="ttdeci">bool tableExists(const std::string &amp;componentName, const std::string &amp;tableName, bool *tableExistsValue) override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:133</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage</a></div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a2cf28424422cfb0fe308a9d59618d267"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a2cf28424422cfb0fe308a9d59618d267">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::open</a></div><div class="ttdeci">bool open() override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:46</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a6aa0c157a8c6caaac288b1bcca5637d9"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a6aa0c157a8c6caaac288b1bcca5637d9">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::isOpened</a></div><div class="ttdeci">bool isOpened() override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:50</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface_html_a8dba8c0444a0cc2aaed5b8353c513eea"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html#a8dba8c0444a0cc2aaed5b8353c513eea">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface::KeyType</a></div><div class="ttdeci">KeyType</div><div class="ttdoc">The type of the key column in Misc DB. </div><div class="ttdef"><b>Definition:</b> MiscStorageInterface.h:36</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a89d2744b6f4c51eb190889723f016c93"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a89d2744b6f4c51eb190889723f016c93">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::load</a></div><div class="ttdeci">bool load(const std::string &amp;componentName, const std::string &amp;tableName, std::unordered_map&lt; std::string, std::string &gt; *valueContainer) override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:145</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a4b7c2ba13db7dc5edf668813c7942ae7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a4b7c2ba13db7dc5edf668813c7942ae7">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::close</a></div><div class="ttdeci">void close() override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:54</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a419bac9127d161ac5ef5bf8739ecb944"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a419bac9127d161ac5ef5bf8739ecb944">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::get</a></div><div class="ttdeci">bool get(const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key, std::string *value) override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:166</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a72e912cc77ecd12754b6a7d06676770f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a72e912cc77ecd12754b6a7d06676770f">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::add</a></div><div class="ttdeci">bool add(const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key, const std::string &amp;value) override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:85</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a9c650c0a77a7a236295fa5ff18af5842"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a9c650c0a77a7a236295fa5ff18af5842">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::update</a></div><div class="ttdeci">bool update(const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key, const std::string &amp;value) override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:93</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a93f3a14f0430c2ffd2c5e8e9afd50bab"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a93f3a14f0430c2ffd2c5e8e9afd50bab">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::createTable</a></div><div class="ttdeci">bool createTable(const std::string &amp;componentName, const std::string &amp;tableName, KeyType keyType, ValueType valueType) override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:57</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a6b4c6c1de403ea3ec34c63a9d449a1b5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a6b4c6c1de403ea3ec34c63a9d449a1b5">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::tableEntryExists</a></div><div class="ttdeci">bool tableEntryExists(const std::string &amp;componentName, const std::string &amp;tableName, const std::string &amp;key, bool *tableEntryExistsValue) override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:115</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage_html_a96452bd8672f02a01b38a4160526705e"><div class="ttname"><a href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_misc_storage.html#a96452bd8672f02a01b38a4160526705e">alexaClientSDK::capabilitiesDelegate::test::TestMiscStorage::createDatabase</a></div><div class="ttdeci">bool createDatabase() override</div><div class="ttdef"><b>Definition:</b> TestableMiscStorage.cpp:42</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1storage_1_1_misc_storage_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::storage::MiscStorageInterface</a></div><div class="ttdef"><b>Definition:</b> MiscStorageInterface.h:33</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
